Feature # 9564 (Closed): [Phase 1] GETUP Project

[Phase 1] GETUP eDMs

07 December 2020 11:57 AM - Ron Zheng Yuan Tan

Status: Closed Start date: 07 December 2020

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

GETUP App Version: 1.0.0.x.x iOS & Android GETUP Phase: Phase 1

GETUP System

Version:

1.0.0.x.x   

Description

Listed below are the scenarios which required system to send email: -  

No Module Title Scenario

1 Onboarding Getup

account

activation

email

Upon user

enter the

email at

onboarding,

system will

sent the

email

verification to

respective

email

address

2 Onboarding Getup

account

activation

email

reminder

If user didn’t

verify the

email. E.g.

1/12/2020

user onboard

to GETUP,

email

verification

has been

sent at

1/12/2020,

user didn't

verify the

email

address,

after 7 days

which is

8/12/2020,

system will

send another

email

verification

link with

reminder for

user. The

reminder will

only send

once

3 Onboarding Acknowledge

users

Upon grey

user verified

the email

4 Onboarding Acknowledge Upon
users Existing GG /

UG users

verified the

email

5 Upon user

verified as

Acknowledge

users

Upon

GETUP

user:-

1. Verified as

Policy Holder

2. Verified as

Agent

3. Verified

corporate

email at me

tab

4. Verified

targeted

email domain

(Email use in

GETUP)

6 Upon user

verifying as

black user

Acknowledge

users

Verified as

policy holder

but system

detected the

policy

credentials

was used

with another

email

address in

existing

GG/UG and

at the end in

GETUP user

use the

different

email and

verified as

policy holder

7 User verified

as black user

Acknowledge

users

User verified

as policy

holder in

GETUP

(Pending

confirmation)

8 Change of

mobile

number

Change

mobille

number

email

verification

User tap on

'Change

mobile

number',

they have to

enter the

email

address that

they wish to

change the

mobile

number,

upon

submitted the

email,

system will

send the

email

verification to

user
9 Change of

mobile

number

Successful

change of

mobile

number

User

successfully

changed the

mobile

number

10 Change of

mobile

number

Failed to

change

mobile

number

Pending

confirmation

11 Change of

email

address

Old email

address

Pending

confirmation

12 Change of

email

address

New emaill

address

Pending

confirmation

13 Corporate

email

Tag

corporate

email

verification

Pending

confirmation

14 Corporate

email

Successfully

updated

corporate

email

Pending

confirmation

Subtasks:

Feature # 9566: [Phase 1] GETUP eDMs - Onboarding Closed

Feature # 9576: [Phase 1] GETUP eDMs - Upon verified as xxx Closed

Feature # 9588: [Phase 1] GETUP eDMs - Change of mobile no Closed

Feature # 9589: [Phase 1] GETUP eDMs - Change of email address Closed

Feature # 9590: [Phase 1] GETUP eDMs - Corporate email Closed

History

#1 - 07 December 2020 04:39 PM - Ron Zheng Yuan Tan

- Parent task set to #9564

#2 - 07 November 2024 05:03 PM - Ron Zheng Yuan Tan

- Status changed from New to Closed

- Assignee deleted (Ron Zheng Yuan Tan)

Closed, no further action on this project
